package com.yutou.biliapi.enums;

import lombok.Getter;

@Getter
public enum LiveVideoFormat {
    FLV(0),
    TS(1),
    FMP4(2);

    private final int value;

    private LiveVideoFormat(int value) {
        this.value=value;
    }
    public static String getAll() {
        StringBuilder sb = new StringBuilder();
        for (LiveVideoFormat value : values()) {
            sb.append(String.valueOf(value.value)).append(",");
        }
        return sb.substring(0, sb.length() - 1);
    }
}
